home *** CD-ROM | disk | FTP | other *** search
/ PC World Komputer 2010 April / PCWorld0410.iso / hity wydania / Ubuntu 9.10 PL / karmelkowy-koliberek-desktop-9.10-i386-PL.iso / casper / filesystem.squashfs / usr / share / doc / libdvdread4 / install-css.sh < prev    next >
Linux/UNIX/POSIX Shell Script  |  2009-10-03  |  3KB  |  82 lines

  1. #!/bin/sh
  2. # Shell script to install libdvdcss under Debian GNU Linux
  3. # Many DVDs use css for encryption.  To play these discs, a special library 
  4. # is needed to decode them, libdvdcss.  Due to legal problems, Debian and most
  5. # Linux distibutions cannot distribute libdvdcss
  6. # Use this shell script to install the libdvdcss under DEBIAN GNU/Linux
  7. # --------------------------------------------------------------------------
  8. # Refer url for more info:
  9. # Copyright info -  http://www.dtek.chalmers.se/~dvd/
  10. # -------------------------------------------------------------------------
  11. # This script is part of nixCraft shell script collection (NSSC)
  12. # Visit http://bash.cyberciti.biz/ for more information.
  13. # -------------------------------------------------------------------------
  14.  
  15. set -e
  16.  
  17. if [ ! -w /etc/passwd ]; then
  18.     echo "Super-user privileges are required.  Please run this with 'sudo'." >&2
  19.     exit 1
  20. fi
  21.  
  22. site=http://packages.medibuntu.org/pool/free/libd/libdvdcss/
  23. arch=$(dpkg --print-architecture)
  24.  
  25. soname=2
  26. uversion=1.2.10
  27. uversion_old=1.2.9
  28. available="i386 amd64 powerpc lpia"
  29. available_old="sparc"
  30. version=${uversion}-0.2medibuntu1
  31. version_old=${uversion_old}-2medibuntu4
  32.  
  33. if ! type wget > /dev/null ; then
  34.     echo "Install wget and run this script again" >&2
  35.     exit 1
  36. fi
  37.  
  38. CSSTMP=$(mktemp -t -d dvdcss-XXXXXX)
  39. for a in $available; do
  40.     if [  "$a" = "$arch" ]; then
  41.     wget ${site}libdvdcss${soname}_${version}_${arch}.deb -O "$CSSTMP"/libdvdcss.deb
  42.     dpkg -i "$CSSTMP"/libdvdcss.deb
  43.     exit $?
  44.     fi
  45. done
  46. for a in $available_old; do
  47.     if [  "$a" = "$arch" ]; then
  48.     wget ${site}libdvdcss${soname}_${version_old}_${arch}.deb -O "$CSSTMP"/libdvdcss.deb
  49.     dpkg -i "$CSSTMP"/libdvdcss.deb
  50.     exit $?
  51.     fi
  52. done
  53.  
  54. echo "No prebuilt binary available.  Will try to build and install it."
  55. echo "You need to have build-essential, debhelper and fakeroot installed."
  56. echo "If not, interrupt now, install them and rerun this script."
  57. echo ""
  58. echo "This is higly experimental, look out for what happens below."
  59. echo "If you want to stop, interrupt now (control-c), else press"
  60. echo "return to proceed"
  61. read dum
  62.  
  63. if ! type dh_testdir > /dev/null || ! type fakeroot > /dev/null; then
  64.     echo "Attempting to install build-essential, debhelper and fakeroot..." >&2
  65.     apt-get update && apt-get install build-essential debhelper fakeroot
  66. fi
  67.  
  68. if ! type dh_testdir > /dev/null || ! type fakeroot > /dev/null || 
  69. ! type make > /dev/null ; then
  70.     echo "Failed to install build-essential, debhelper and fakeroot, exiting now." >&2
  71.     exit 1
  72. fi
  73.  
  74. cd "$CSSTMP"
  75. wget ${site}libdvdcss_${uversion}.orig.tar.gz
  76. wget ${site}libdvdcss_${version}.diff.gz
  77. wget ${site}libdvdcss_${version}.dsc
  78. dpkg-source -x libdvdcss_${version}.dsc
  79. cd libdvdcss-${uversion}
  80. fakeroot ./debian/rules binary
  81. dpkg -i ../libdvdcss${soname}_${version}_${arch}.deb
  82.